<?php

session_start();
checkLogin('../login.php');

//echo scandir('/') . "\n";
foreach (scandir('.') as $file)
    echo "<a href=" . $file . ">$file</a><br>";


function getLoggedUser() {
    $u = null;
    if (isset($_SESSION[loggedUser])) {
      $u = $_SESSION[loggedUser][nome];
    }
    return $u;
}

// checa o login, se estiver logado continua, senão redireciona caso passou um endereço para redirect, ou retorna true se está logado false senão
function checkLogin($redirect = null) {
    $user = getLoggedUser();
    if ($user == null) {
      if ($redirect != null) {
        header("Location:$redirect");
        exit;
      }
    }
    return $user != null;
}


?>